Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas
Class SSOJAASUserRealm

    java.lang.Object
      org.mortbay.jetty.plus.jaas.JAASUserRealm
          org.mortbay.jetty.plus.jaas.SSOJAASUserRealm

All Implemented Interfaces:
  SSORealm, UserRealm

    public class SSOJAASUserRealm

extends JAASUserRealm
implements SSORealm

SSOJAASUserRealm

#### Notes

#### Usage

For SSO realm that uses JAAS The configuration must be the same as for JAASUserRealm plus injection of an instance of class HashSSORealm using setSSORealm() methode. This is intended to be used with the correct LoginModule and its fitting .conf configuration file as described in JAAS documentation.

Author:
  Frederic Nizery

Field Summary

Fields inherited from class org.mortbay.jetty.plus.jaas.JAASUserRealm
`callbackHandlerClass, DEFAULT_ROLE_CLASS_NAME, DEFAULT_ROLE_CLASS_NAMES, defaultUser, loginModuleName, realmName, roleCheckPolicy, roleClassNames`

Constructor Summary
`SSOJAASUserRealm()`

Method Summary
`void` | `clearSingleSignOn(java.lang.String username)` Clear SSO for user.
`Credential` | `getSingleSignOn(Request request, Response response)` Get SSO credentials.
`void` | `setSingleSignOn(Request request, Response response, java.security.Principal principal, Credential credential)` Set SSO principal and credential.
`void` | `setSSORealm(SSORealm ssoRealm)` Set the SSORealm.

Methods inherited from class org.mortbay.jetty.plus.jaas.JAASUserRealm
`authenticate, disassociate, getName, getPrincipal, getRoleClassNames, getRoles, isUserInRole, logout, popRole, pushRole, reauthenticate, setCallbackHandlerClass, setLoginModuleName, setName, setRoleCheckPolicy, setRoleClassNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSOJAASUserRealm

    public SSOJAASUserRealm()

Method Detail

### setSSORealm

    public void setSSORealm(SSORealm ssoRealm)

  Set the SSORealm. A SSORealm implementation may be set to enable support for SSO.

  Parameters:
    `ssoRealm` - The SSORealm to delegate single sign on requests to.

### getSingleSignOn

    public Credential getSingleSignOn(Request request,
                                      Response response)

  Description copied from interface: `SSORealm`
  Get SSO credentials. This call is used by an authenticator to check if a SSO exists for a request. If SSO authentiation is successful, the requests UserPrincipal and AuthUser fields are set. If available, the credential used to authenticate the user is returned. If recoverable credentials are not required then null may be return.

  Specified by:
    `getSingleSignOn` in interface `SSORealm`
  Parameters:
    `request` - The request to SSO.
    `response` - The response to SSO.
  Returns:
    A credential if available for SSO authenticated requests.

### setSingleSignOn

    public void setSingleSignOn(Request request,
                                Response response,
                                java.security.Principal principal,
                                Credential credential)

  Description copied from interface: `SSORealm`
  Set SSO principal and credential. This call is used by an authenticator to inform the SSO mechanism that a user has signed on. The SSO mechanism should record the principal and credential and update the response with any cookies etc. required.

  Specified by:
    `setSingleSignOn` in interface `SSORealm`
  Parameters:
    `request` - The authenticated request.
    `response` - The authenticated response/
    `principal` - The principal that has been authenticated.
    `credential` - The credentials used to authenticate.

### clearSingleSignOn

    public void clearSingleSignOn(java.lang.String username)

  Description copied from interface: `SSORealm`
  Clear SSO for user.

  Specified by:
    `clearSingleSignOn` in interface `SSORealm`
  Parameters:
    `username` - The user to clear.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.